Part Point/it: Difference between revisions

From FreeCAD Documentation
(Created page with "== Proprietà ==")
(Created page with "Vedere anche: Editor delle proprietà.")
Line 31: Line 31:
== Proprietà ==
== Proprietà ==


See also: [[Property_editor|Property editor]].
Vedere anche: [[Property_editor/it|Editor delle proprietà]].


A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

Revision as of 19:45, 6 January 2024

Part Punto

Posizione nel menu
Parte → Crea primitive → Punto
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Un Part Punto è un punto parametrico che può essere creato con il comando Part Primitive. Le sue coordinate sono relative al sistema di coordinate definito dalla sua proprietà DatiPlacement.

Utilizzo

Vedere Part Primitive.

Proprietà

Vedere anche: Editor delle proprietà.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DatiX (Distance): The X coordinate of the point. The default is 0mm.
  • DatiY (Distance): The Y coordinate of the point. The default is 0mm.
  • DatiZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()